* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  max-width: 100%;
}

html {
  overflow-x: hidden;
}

body {
  background-color: #00006a;
  color: #e1e1f1;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  font-family: "Outfit", sans-serif;
  padding-top: 4rem;
  padding-bottom: 2rem;
  gap: 1rem;
  overflow-x: hidden;
}

.sub-judul {
  font-size: 1.5rem;
}

.my-photo {
  width: 10rem;
  border-radius: 50%;
  aspect-ratio: 1/1;
  object-fit: cover;
  object-position: top;
}

a {
  text-decoration: none;
  color: inherit;
}

.sosmed i {
  font-size: 1.5rem;
  color: #8787a3;
}

.sosmed i:hover {
  color: white;
}

.sosmed a:not(:last-child) {
  margin-right: 1rem;
}

ul {
  width: 80%;
  max-width: 40rem;
}

ul li {
  list-style: none;
}

ul.links li:not(:last-child) {
  margin-bottom: 1rem;
}

.links {
  margin-top: 1rem;
}

.link-card {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #1c1c1c;
  gap: 1rem;
  padding: 1rem;
  border-radius: 20px;
  box-shadow: 8px 10px 0 #0f0f25;
  border: 2px solid #2d2d56;
}

.link-card:hover {
  border: 2px solid white;
}

.links .link-icon {
  background-color: #b66700;
  padding: 0.5rem;
  border-radius: 10px;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.links .link-icon i {
  color: white;
}

.links .link-text {
  text-align: center;
}

.link-action {
  color: #8787a3;
  cursor: pointer;
  padding: 10px;
}

img,
video,
iframe {
  max-width: 100%;
  height: auto;
}

.copyright {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
  color: #8787a3;
  font-size: 0.75rem;
}

.web {
  margin-top: 1rem;
  text-align: center;
  font-size: 1rem;
  font-weight: bold;
  width: 70%;
}

.web button {
  font-weight: 700;
  font-size: 1rem;
  padding: 1rem;
  margin-top: 1rem;
  border-radius: 2rem;
  outline: none;
  border-color: #0f0f25;
}

.web button:hover {
  background-color: #b66700;
}

.copyright img {
  width: 2rem;
  opacity: 0.4;
}

/* #toast {
  width: max-content;
  position: fixed;
  top: 0;
} */

.toast-container {
  background-color: white;
  color: #0f0f25;
  padding: 1rem;
  margin-top: 1rem;
  border-radius: 1rem;
  animation: muncul 300ms ease-in-out;
}

.toast-gone {
  animation: hilang 1s ease-in-out 1s;
}

@keyframes muncul {
  from {
    opacity: 0;
    transform: translateY(-4rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes hilang {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@media (max-width: 768px) {
  .bg-text-animation {
    font-size: 5rem;
  }
}
